sc::ParentClass Class Reference

Gives one parent class of a class. More...

`#include <class.h>`

## Public Types

enum | Access { Private, Protected, Public }

## Public Member Functions

| ParentClass (ClassDesc *, Access access=Private, int is_virtual=0)
| ParentClass (const ParentClass &)
int | is_virtual () const
Access | access () const
const ClassDesc * | classdesc () const
void | change_classdesc (ClassDesc *n)

## Detailed Description

Gives one parent class of a class.

The documentation for this class was generated from the following file:

- class.h